Subject: Re: linux-next: build failure after merge of the pci tree

From: Bjorn Helgaas <[email-masked]>
Date: Mon, 18 Oct 2021 09:26:36 -0500

On Mon, Oct 18, 2021 at 09:55:25AM +1100, Stephen Rothwell wrote:
> Hi all,
> 
> After merging the pci tree, today's linux-next build (powerpc
> ppc64_defconfig) failed like this:
> 
> drivers/misc/cxl/pci.c: In function 'cxl_vphb_error_detected':
> drivers/misc/cxl/pci.c:1816:15: error: assignment discards 'const' qualifier from pointer target type [-Werror=discarded-qualifiers]
>  1816 |   err_handler = afu_drv->err_handler;
>       |               ^
> drivers/misc/cxl/pci.c: In function 'cxl_pci_slot_reset':
> drivers/misc/cxl/pci.c:2041:16: error: assignment discards 'const' qualifier from pointer target type [-Werror=discarded-qualifiers]
>  2041 |    err_handler = afu_drv->err_handler;
>       |                ^
> drivers/misc/cxl/pci.c: In function 'cxl_pci_resume':
> drivers/misc/cxl/pci.c:2090:16: error: assignment discards 'const' qualifier from pointer target type [-Werror=discarded-qualifiers]
>  2090 |    err_handler = afu_drv->err_handler;
>       |                ^
> cc1: all warnings being treated as errors
> 
> Caused by commit
> 
>   115c9d41e583 ("cxl: Factor out common dev->driver expressions")
> 
> I have used the pci tree from next-20211015 for today.

Sorry about this.  I think I fixed it and updated my -next branch.